package utils

type Errors struct {
	Code int         `json:"code"`
	Msg  string      `json:"msg"`
	Data interface{} `json:"data"`
}

const (
	CodeSucceed       = 0
	CodeParamsInvalid = 10001
)

const (
	Succeeded = "操作成功"
	Failed    = "操作失败"
)

func SuccessResponse(data interface{}) *Errors {
	return &Errors{
		Code: CodeSucceed,
		Msg:  Succeeded,
		Data: data,
	}
}

func FailResponse(data interface{}) *Errors {
	return &Errors{
		Code: CodeSucceed,
		Msg:  Failed,
		Data: data,
	}
}

func ParamsInvalidResponse(msg string, data interface{}) *Errors {
	return &Errors{
		Code: CodeParamsInvalid,
		Msg:  msg,
		Data: data,
	}
}
